#!/bin/sh

. ~/etc/setenv.sh

sid="$1"

if [ -z "$sid" ] ; then
	exit 255
fi

if [ -d "$TMP/mediasession_$sid" ]; then
	if [ -f "$TMP/mediasession_$sid/burning.in.progress" ]; then
		touch "$TMP/mediasession_$sid/autoclean.on.finish"
	else 
		if [ ! -f "$TMP/mediasession_$sid/cdimage.done" ]; then
			pid=`cat "$TMP/mediasession_$sid/pd"`
			[ -n "$pid" ] && kill $pid
		fi
		
		echo Cleaning up CD job $sid
		rm -rf "$TMP/mediasession_$sid"
	fi
fi

